//File Description: Interface with the OS. This outlines the functions in Windows.c and Linux.c

void InitOSInterface(void); //Called on plugin load to prepare the OS Interface
void CloseOSInterface(void); //Called on plugin unload to close the OS Interface
int RegisterHotKeyAction(int HotKeyNumber, int KeyCode, int Modifiers); //Register the hot key in the OS for a callback. Returns an ID for the hotkey, or 0 on failure
void UnRegisterHotKeyAction(int HotKeyID); //Unregister the hot key in the OS
void SetBuddyListZOrder(gboolean OnTop); //Moves the buddy list to above or below all other windows

//Toggle the buddy list in the taskbar
enum ToggleTaskbar_Type { TaskbarType_Swap=0, TaskbarType_Visible, TaskbarType_Hidden };
void ToggleBuddyListInTaskbar(enum ToggleTaskbar_Type Type);
